
admoregame = {
	m_object;
	m_uiMgr;
	m_DataMgr;

	m_ad_image;
	
	load_text = {};
};

function	 admoregame:Init( object )
	self.m_object = object;
end

function	admoregame:EventInit( object, param0, param1 )
	self.m_uiMgr = sGlobal:GetUIManager();
	self.m_ad_image = self.m_object:FindChildControl( "mg_ad_image" );
	
	return 1;
end

function	admoregame:EventActive( object, param0, param1 )
	--self.m_DataMgr = Global:GetDataMgr();
	--Global:CheckMoreGameData( "moregame.bin" );
	Global:RefreshMoreGameInfo();
	self:SetSymbols();
	
	Global:EventNotice( "show_moregame" );

	return 1;
end

function	admoregame:Event_Exit_Game( object, param0, param1 )
	Global:SystemRequest( SystemEvent.SE_EXIT );
	self.m_uiMgr:CloseWindow(self.m_object);
	return 1;
end

function	admoregame:Event_More_Game( object, param0, param1 )
	OnMoreGameClick();
	Global:EventNotice( "click_moregame" );
	return 1;
end

function	admoregame:Event_Close_Game( object, param0, param1 )
	ClosePage( "adgame" );
	Global:PlaySound(uisound.btn_return,0);
	return 1;
end

function	admoregame:Event_GetIt( object, param0, param1 )
	Global:OpenGameInstall( 0 );
	Global:EventNotice( "click_game1" );

	return 1;
end


function admoregame:SetSymbols()
	if self.m_uiMgr:IsSymbolExist( "_moregame_image_" ) then
		self.m_ad_image:SetSymbol("");
		self.m_ad_image:SetSymbol( "_moregame_image_" );
	end
end

function admoregame:EventKeyUp( key_code )
	if key_code == 27 then
		self:Event_Close_Game( "0", 0, 0 );
	end
	return 1;
end

admoregame.ControlEvents = {
	Inputs = {
		mg_exit = { "Event_Exit_Game" };
		mg_open_url = { "Event_More_Game" };
		mg_cancel = { "Event_Close_Game" };
		mg_get_it = { "Event_GetIt" };
		mg_btn_image = { "Event_GetIt" };
	};
};
