require( "ui/impl/uisound.lua" )

facebooklogin = {
	m_object;
	m_uiMgr;
	m_DataMgr;
	
	m_btn_invite_facebook;
	
	m_text_login_logout;
}

function	facebooklogin:Init( object )
	self.m_object = object;
end

function	facebooklogin:EventInit( object, param0, param1 )
	self.m_btn_invite_facebook = self.m_object:FindChildControl( "btn_invite_facebook" );
	self.m_text_login_logout = self.m_object:FindChildControl( "text_login_logout" );
	return 1;
end

function	facebooklogin:Update( duration )
	if Global:SystemRequest( SystemEvent.SE_IS_FACEBOOK_LOGIN ) then
		self.m_btn_invite_facebook:GetScript():EnableButton( true );
		self.m_text_login_logout:SetSymbol( "zhuxiao" );
	else
		self.m_btn_invite_facebook:GetScript():EnableButton( false );
		self.m_text_login_logout:SetSymbol( "login" );
	end
end

function	facebooklogin:EventActive( object, param0, param1 )
	self.m_DataMgr = Global:GetDataMgr();

	return 1;
end

function	facebooklogin:Event_Close_Click( object, param0, param1 )
	ClosePage( "facebooklogin" );
	return 1;
end

function	facebooklogin:Event_Login_Click( object, param0, param1 )
	if Global:SystemRequest( SystemEvent.SE_IS_FACEBOOK_LOGIN ) then
		Global:SystemRequest( SystemEvent.SE_FACEBOOK_LOGOUT );
	else
		Global:SystemRequest( SystemEvent.SE_FACEBOOK_LOGIN );
	end
	
	return 1;
end

function	facebooklogin:Event_Invite_Click( object, param0, param1 )
	Global:SystemRequest( SystemEvent.SE_FACEBOOK_INVITE );
	return 1;
end

function 	facebooklogin:EventKeyUp( key_code )
	if key_code == 27 then
		self:Event_Close_Click( "0", 0, 0 );
	elseif key_code == 13 then
		
	end
	return 1;
end

facebooklogin.ControlEvents = {
	Inputs = {
		btn_close_fc = { "Event_Close_Click" };
		btn_login_facebook = { "Event_Login_Click" };
		btn_invite_facebook = { "Event_Invite_Click" };
	}
}