require( "scripts/global.lua" );
require( "ui/impl/uisound.lua" )

iapfrm = {
	m_object;
	m_uiMgr;
	
	m_Owner;
	m_DataMgr;
	
	m_double = {};
	m_adfree = {};
}

function	iapfrm:Init( object )
	self.m_object = object;
end

function	iapfrm:EventInit( object, param0, param1 )
	self.m_uiMgr = sGlobal:GetUIManager();
	self.m_Owner = self.m_uiMgr:GetPage( "shop" );
	self.m_text_gold_shop_iap = self.m_object:FindChildControl( "text_gold_shop_iap" );
	
	--for i = 1, 6 do
	--	self.m_double[i] = self.m_object:FindChildControl( "topchong1_"..i );
	--end
	for i = 1, 4 do
		self.m_adfree[i] = self.m_object:FindChildControl( "adfree_"..i );
	end
	
	return 1;
end

function	iapfrm:EventActive( object, param0, param1 )
	self.m_DataMgr = Global:GetDataMgr();
	return 1;
end

function	iapfrm:Event_IapFrm_Close( object, param0, param1 )
	self.m_Owner:AddControl( self.m_object );
	self.m_Owner:GetScript():IsToIapFrm( false );
	self.m_object:SetVisible( false );
	Global:PlaySound(uisound.btn_return,0);
	return 1;
end

function	iapfrm:Update( duration )
	local gold = self.m_DataMgr:GetItemNum( ITEM_GOLD ) 
	self.m_text_gold_shop_iap:SetSymbolText( gold );
	
	--for i = 1, #self.m_double do
	--	self.m_double[i]:SetVisible( not datasave:IsIap() );
	--end
	for i = 1, #self.m_adfree do
		if channel.m_bEnableAd and not datasave:IsBuyIapMoreThan30() then
			self.m_adfree[i]:SetVisible( true );
		else
			self.m_adfree[i]:SetVisible( false );
		end
	end
end

function 	iapfrm:EventKeyUp( key_code )
	if key_code == 27 then
		self.m_Owner:AddControl( self.m_object );
		self.m_Owner:GetScript():IsToIapFrm( false );
		self.m_object:SetVisible( false );
		ShowPage( "shop" );
	elseif key_code == 13 then
	
	end
	return 1;
end

iapfrm.ControlEvents = {
	Inputs = {
		close_1 = { "Event_IapFrm_Close" };
	}
}
