require( "scripts/global.lua" )

TIP_UNLOCKTRACK = 0;

unlocktrack = {
	m_object;
	m_uiMgr;

	m_st_price;
}

function	unlocktrack:Init( object )
	self.m_object = object;
end

function	unlocktrack:EventInit( event, param0, param1 )
	self.m_uiMgr = sGlobal:GetUIManager();
	self.m_st_price = self.m_object:FindChildControl( "st_price_unlock" );
	return 1;
end

function	unlocktrack:EventActive( event, param0, param1 )
	if self.m_uiMgr:GetLanguage() == "en" then
		self.m_st_price:SetVisible( false );
	else
		self.m_st_price:SetSymbolText( "6" );
		self.m_st_price:SetVisible( true );

		if channel:GetCurChannel() == "android_msy" then
			self.m_st_price:SetSymbolText( "8" );
		end
	end
	return 1;
end

function	unlocktrack:EventDeactive( event, param0, param1 )
	return 1;
end

function 	unlocktrack:EventClose( object, param0, param1 )
	self.m_uiMgr:CloseWindow(self.m_object);
	Global:PlaySound(uisound.btn_return,0);
	return 1;
end

function 	unlocktrack:EventConfirm( object, param0, param1 )
	self.m_object:SendMsg( "UNLOCK_TRACK", 0, 0 );
	return 0;
end

function 	unlocktrack:EventKeyUp( key_code )
	if key_code == 27 then
		self.m_uiMgr:CloseWindow(self.m_object);
	elseif key_code == 13 then
		self.m_object:FindChildControl( "btn_confirm_unlcok" ):SendMsg( "BN_CLICK", 0, 0 );
	end
	return 1;
end


unlocktrack.ControlEvents = {
	Inputs = {
		btn_close_unlock = { "EventClose" };
		btn_confirm_unlcok = { "EventConfirm" };
	};
};
