
adbanner = {
	m_object;
	m_uiMgr;
	m_DataMgr;

	btn_left_icons = {};
	btn_right_icons = {};
	btn_top_icons = {};
	btn_bottom_icons = {};
};

function	 adbanner:Init( object )
	self.m_object = object;
end

function	adbanner:EventInit( object, param0, param1 )
	self.m_uiMgr = sGlobal:GetUIManager();

	self.btn_left_icons[1] = self.m_object:FindChildControl( "mg_banner_left_one" );
	self.btn_left_icons[2] = self.m_object:FindChildControl( "mg_banner_left_two" );
	self.btn_left_icons[3] = self.m_object:FindChildControl( "mg_banner_left_three" );
	self.btn_left_icons[4] = self.m_object:FindChildControl( "mg_banner_left_four" );

	self.btn_right_icons[1] = self.m_object:FindChildControl( "mg_banner_right_one" );
	self.btn_right_icons[2] = self.m_object:FindChildControl( "mg_banner_right_two" );
	self.btn_right_icons[3] = self.m_object:FindChildControl( "mg_banner_right_three" );
	self.btn_right_icons[4] = self.m_object:FindChildControl( "mg_banner_right_four" );

	self.btn_top_icons[1] = self.m_object:FindChildControl( "mg_banner_top_one" );
	self.btn_top_icons[2] = self.m_object:FindChildControl( "mg_banner_top_two" );
	self.btn_top_icons[3] = self.m_object:FindChildControl( "mg_banner_top_three" );
	self.btn_top_icons[4] = self.m_object:FindChildControl( "mg_banner_top_four" );

	self.btn_bottom_icons[1] = self.m_object:FindChildControl( "mg_banner_bottom_one" );
	self.btn_bottom_icons[2] = self.m_object:FindChildControl( "mg_banner_bottom_two" );
	self.btn_bottom_icons[3] = self.m_object:FindChildControl( "mg_banner_bottom_three" );
	self.btn_bottom_icons[4] = self.m_object:FindChildControl( "mg_banner_bottom_four" );

	return 1;
end

function	adbanner:EventActive( object, param0, param1 )
	--self.m_DataMgr = Global:GetDataMgr();
	--Global:CheckMoreGameData( "moregame.bin" );
	sGlobal:Print("adbanner show");
	Global:RefreshBannerInfo();
	self:SetSymbols();
	   
	return 1;
end

function	adbanner:Event_GetIt1( object, param0, param1 )
	Global:OpenGameInstall( 1 );
	Global:EventNotice( "click_game1" );

	return 1;
end

function	adbanner:Event_GetIt2( object, param0, param1 )
	Global:OpenGameInstall( 2 );
	Global:EventNotice( "click_game1" );

	return 1;
end

function	adbanner:Event_GetIt3( object, param0, param1 )
	Global:OpenGameInstall( 3 );
	Global:EventNotice( "click_game1" );

	return 1;
end

function	adbanner:Event_GetIt4( object, param0, param1 )
	Global:OpenGameInstall( 4 );
	Global:EventNotice( "click_game1" );

	return 1;
end

function adbanner:SetSymbols()
	for i = 1, 4 do
		local symbol = "_moregame_icon_"..i.."_";
		sGlobal:Print("symbol"..symbol);
		self.btn_left_icons[i]:SetSymbol("");
		self.btn_left_icons[i]:GetScript():SetSymbol( symbol, symbol );
		self.btn_right_icons[i]:SetSymbol("");
		self.btn_right_icons[i]:GetScript():SetSymbol( symbol, symbol );
		self.btn_top_icons[i]:SetSymbol("");
		self.btn_top_icons[i]:GetScript():SetSymbol( symbol, symbol );
		self.btn_bottom_icons[i]:SetSymbol("");
		self.btn_bottom_icons[i]:GetScript():SetSymbol( symbol, symbol );
	end
end

function adbanner:EventKeyUp( key_code )
	return 0;
end

adbanner.ControlEvents = {
	Inputs = {
		mg_banner_left_one = {"Event_GetIt1"};
		mg_banner_right_one = {"Event_GetIt1"};
		mg_banner_top_one = {"Event_GetIt1"};
		mg_banner_bottom_one = {"Event_GetIt1"};

		mg_banner_left_two = {"Event_GetIt2"};
		mg_banner_right_two = {"Event_GetIt2"};
		mg_banner_top_two = {"Event_GetIt2"};
		mg_banner_bottom_two = {"Event_GetIt2"};

		mg_banner_left_three = {"Event_GetIt3"};
		mg_banner_right_three = {"Event_GetIt3"};
		mg_banner_top_three = {"Event_GetIt3"};
		mg_banner_bottom_three = {"Event_GetIt3"};

		mg_banner_left_four = {"Event_GetIt4"};
		mg_banner_right_four = {"Event_GetIt4"};
		mg_banner_top_four = {"Event_GetIt4"};
		mg_banner_bottom_four = {"Event_GetIt4"};
	}
}
