require( "ui/impl/uisound.lua" )

banner_thanks = {
	m_object;
	m_uiMgr;

	m_gift_failed_callback = nil;


	m_gift_index = 0;
	m_gift_banner_timer = nil;

	m_iap_id = 0;
}

function	banner_thanks:Init( object )
	self.m_object = object;
end

function	banner_thanks:EventInit( object )
	self.m_uiMgr = sGlobal:GetUIManager();

	--self.m_gift_banner_timer = self.m_object:FindChildControl( "banner_timer" );

	return 1;
end

function	banner_thanks:EventActive( object, param0, param1 )
	return 1;
end 

function	banner_thanks:Update( duration )
	self:UpdateGiftBox();
end

function	banner_thanks:UpdateGiftBox()
	self.m_gift_index = 1;

	if self.m_gift_index == 1 then
		self.m_object:SetSymbol("gift_lv6");
	end
end

function	banner_thanks:Event_Buy( object, param0, param1 )
	Global:PlaySound(uisound.shop_btn_iap,0);

	sGlobal:Print("gift index"..self.m_gift_index);
	if self.m_gift_index == 1 then
		OnStartPurchase( PCS_GOLD_100000, self );
	end
	
	self.m_iap_id = self.m_gift_index;

	return 1;
end

function	banner_thanks:PurchaseSuccess( id )
	local dataMgr = Global:GetDataMgr();
	sGlobal:Print("PurchaseSuccess"..self.m_iap_id);
	if self.m_gift_index == 1 then
		dataMgr:AddItemNum( ITEM_MILLISE, 2 );
		dataMgr:AddItemNum( ITEM_SHIELD, 2 );
		dataMgr:AddItemNum( ITEM_NITROGEN, 2 );
		datasave.m_bThanksGiftPurchased = true;
		datasave:SetGiftDone(1);
	end
	EventNotice("pack_garage_buy",self.m_gift_index);
	self.m_object:SetVisible(false);

	return 1;
end

banner_thanks.ControlEvents = {
	Inputs = {
		gift_lv6_1 = {"Event_Buy"}
	}
}
