
freebox = {
	m_object;
	m_uiMgr;
	m_DataMgr;
	
	m_btn_facebook_free;
	m_btn_vedio_free;
	m_face_book_gou;
	
	m_btn_twitter;
	m_twitter_gou;
	
	m_watchvideolater;
};

function	freebox:Init( object )
	self.m_object = object;
end

function	freebox:EventInit( object, param0, param1 )
	self.m_uiMgr = sGlobal:GetUIManager();
	
	self.m_btn_facebook_free = self.m_object:FindChildControl( "btn_facebook_free" );
	self.m_btn_vedio_free = self.m_object:FindChildControl( "btn_vedio_free" );
	self.m_face_book_gou = self.m_object:FindChildControl( "face_book_gou" );
	
	self.m_btn_twitter = self.m_object:FindChildControl( "btn_twitter" );
	self.m_twitter_gou = self.m_object:FindChildControl( "twitter_gou" );
	
	self.m_watchvideolater = self.m_object:FindChildControl( "watchvideolater" );
	
	return 1;
end

function	freebox:EventDeactive( object, param0, param1 )
	self.m_uiMgr:GetPage( "choosecar" ):GetScript():EnableShowUiEffect( true );
	return 1;
end

function	freebox:EventActive( object, param0, param1 )
	if datasave:IsLikeFaceBook() then 
		self.m_face_book_gou:SetVisible( true );
	else
		self.m_face_book_gou:SetVisible( false );
	end
	
	if datasave:IsLikeTwitter() then
		self.m_twitter_gou:SetVisible( true );
	else
		self.m_twitter_gou:SetVisible( false );
	end
	
	return 1;
end

function	freebox:Update( duration )
	--self.m_btn_facebook_free:GetScript():EnableButton( false );
	--self.m_face_book_gou:SetVisible( false );
	if Global:SystemRequest( SystemEvent.SE_INTERNET ) then
		-- if datasave:IsLikeFaceBook() then 
			-- self.m_btn_facebook_free:GetScript():EnableButton( false );
		-- else
			-- self.m_btn_facebook_free:GetScript():EnableButton( true );
		-- end
		
		-- if datasave:IsLikeTwitter() then
			-- self.m_btn_twitter:GetScript():EnableButton( false );
		-- else
			-- self.m_btn_twitter:GetScript():EnableButton( true );
		-- end
		
		self.m_btn_facebook_free:GetScript():EnableButton( true );
		self.m_btn_twitter:GetScript():EnableButton( true );
	else
		self.m_btn_facebook_free:GetScript():EnableButton( false );
		self.m_btn_twitter:GetScript():EnableButton( false );
	end
	
	if Global:SystemRequest( SystemEvent.SE_VIDEO_AVAILABLE ) then
		self.m_btn_vedio_free:GetScript():EnableButton( true );
		self.m_watchvideolater:SetVisible( false );
	else
		self.m_btn_vedio_free:GetScript():EnableButton( false );
		self.m_watchvideolater:SetVisible( true );
	end
end

function	freebox:Event_Return_Click( object, param0, param1 )
	ClosePage( "freebox" );
	Global:PlaySound(uisound.btn_return,0);
	return 1;
end

function	freebox:Event_FaceBook_Click( object, param0, param1 )
	Global:SystemRequest( SystemEvent.SE_FACEBOOK );
	if not datasave:IsLikeFaceBook() then
		self.m_DataMgr = Global:GetDataMgr();
		self.m_DataMgr:AddItemNum( ITEM_GOLD, 100000 );
		datasave:LikeFaceBook();
		Save();
	end
	Global:PlaySound(uisound.mainui_btn_option,0);
	return 1;
end

function	freebox:Event_Twitter_Click( object, param0, param1 )
	Global:SystemRequest( SystemEvent.SE_TWITTER );
	if not datasave:IsLikeTwitter() then
		self.m_DataMgr = Global:GetDataMgr();
		self.m_DataMgr:AddItemNum( ITEM_GOLD, 100000 );
		datasave:LikeTwitter();
		Save();
	end
	Global:PlaySound(uisound.mainui_btn_option,0);
	return 1;
end

function	freebox:Event_Vedio_Click( object, param0, param1 )
	Global:SystemRequest( SystemEvent.SE_AD_WALL );
	return 1;
end

function 	freebox:EventKeyUp( key_code )
	if key_code == 27 then
		self.m_object:FindChildControl( "btn_return_freebox" ):SendMsg( "BN_CLICK", 0 , 0 );
	end
	return 1;
end
freebox.ControlEvents = {
	Inputs = {
		btn_return_freebox = { "Event_Return_Click" };
		btn_facebook_free = { "Event_FaceBook_Click" };
		btn_vedio_free = { "Event_Vedio_Click" };
		btn_twitter = { "Event_Twitter_Click" };
	};
};