paychannel = {
	m_object;
	m_uiMgr;
	m_pcsID;
}

function	 paychannel:Init( object )
	self.m_object = object;
end

function	paychannel:EventInit( object, param0, param1 )
	self.m_uiMgr = sGlobal:GetUIManager();
	self.m_pcsID = 0;
	return 1;
end

function	paychannel:EventActive( object, param0, param1 )
	local btnMM = self.m_object:FindChildControl( "btn_mm" );
	if channel:IsMMpayValid( self.m_pcsID ) then
		btnMM:GetScript():EnableButton( true );
		btnMM:SetSymbol( "" );
	else
		btnMM:GetScript():EnableButton( false );
		btnMM:SetSymbol( "bgblack" );
	end
	return 1;
end

function	paychannel:EventDeactive( event, param0, param1 )
	ClosePage( "paycar" );
	return 1;
end

function	paychannel:SetPcsID( id )
	self.m_pcsID = id;
end

function	paychannel:Event_Alipay_Click( object, param0, param1 )
	Global:PlaySound(uisound.shop_btn_iap,0);
	sGlobal:Print( "Event_Alipay_Click   === "..self.m_pcsID );
	Global:IAPBuy( math.floor( self.m_pcsID + 100 ) );
	return 1;
end

function	paychannel:Event_Union_Click( object, param0, param1 )
	Global:PlaySound(uisound.shop_btn_iap,0);
	sGlobal:Print( "Event_Union_Click   === "..self.m_pcsID );
	Global:IAPBuy( math.floor( self.m_pcsID + 10000 ) );
	return 1;
end

function	paychannel:Event_MM_Click( object, param0, param1 )
	Global:PlaySound(uisound.shop_btn_iap,0);
	sGlobal:Print( "Event_MM_Click   === "..self.m_pcsID );
	Global:IAPBuy( math.floor( self.m_pcsID ) );
	return 1;
end

function	paychannel:Event_Close_Click( object, param0, param1 )
	ClosePage( "pay" );
	return 1;
end

function 	paychannel:EventKeyUp( key_code )
	if key_code == 27 then
		ClosePage( "pay" );
	end
	return 1;
end

paychannel.ControlEvents = {
	Inputs = {
		btn_alipay = { "Event_Alipay_Click" };
		btn_union = { "Event_Union_Click" };
		btn_close_pay = { "Event_Close_Click" };
		btn_mm = { "Event_MM_Click" };
	}
}
