require( "scripts/global.lua" );
require( "ui/impl/uisound.lua" )
shop = {
	m_object;
	m_uiMgr;

	m_textGold;
	m_DataMgr;
	m_entitySys;
	m_bWinLoseToShop = false;
	m_bTrackToShop = false;
	m_bChooseTrackToShop = false;
	m_bChooseCarToShop = false;
	m_bContinueGameToShop = false;
	m_bToIapFrm = false;
	
	m_btn_iap_rmb_18;
	m_btn_iap_rmb_30;
	m_btn_iap_rmb_60;
	m_btn_iap_rmb_100;
	m_btn_iap_rmb_200;
	
	m_rmb2_1;
	m_rmb2_2;
	m_rmb2_3;

	m_textNum = {};
	m_ItemSelectNum = { 1, 1, 1, 1 };
	m_ItemSelectObj = {};
	--ItemPrice = { 50000, 60000, 50000, 20000 };
	m_TextItemPrice = {};
	m_IapObj = {};
	
	m_btn_vip;
	m_btn_free_shop;
	m_free_value_bg_shop;
	m_free_value_shop;
	
	m_btn_iap;
	m_iapFrm;

	m_TextItmPrice_org = {};
	m_TextItemPrice_org_label = {};
	m_vipTitle = {};
}
function	shop:Init( object )
	self.m_object = object;
end

function	shop:EventInit( object, param0, param1 )
	self.m_uiMgr = sGlobal:GetUIManager();
	self.m_textGold = self.m_object:FindChildControl( "text_gold_shop" );
	
	self.m_textNum[1] = self.m_object:FindChildControl( "text_nitrogen_shop" );
	self.m_textNum[2] = self.m_object:FindChildControl( "text_missile_shop" );
	self.m_textNum[3] = self.m_object:FindChildControl( "text_shield_shop" );
	--self.m_textNum[4] = self.m_object:FindChildControl( "text_mine_shop" );
	
	self.m_ItemSelectObj[1] = self.m_object:FindChildControl( "num_nitrogen" );
	self.m_ItemSelectObj[2] = self.m_object:FindChildControl( "num_missile" );
	self.m_ItemSelectObj[3] = self.m_object:FindChildControl( "num_shield" );
	--self.m_ItemSelectObj[4] = self.m_object:FindChildControl( "num_mine" );
	
	self.m_TextItemPrice[1] = self.m_object:FindChildControl( "text_nitrogen_price" );
	self.m_TextItemPrice[2] = self.m_object:FindChildControl( "text_missile_price" );
	self.m_TextItemPrice[3] = self.m_object:FindChildControl( "text_shield_price" );
	--self.m_TextItemPrice[4] = self.m_object:FindChildControl( "text_mine_price" );
	---------------------------------------------------------
	self.m_TextItmPrice_org[1] = self.m_object:FindChildControl("dt_org_price_1");
	self.m_TextItmPrice_org[2] = self.m_object:FindChildControl("dt_org_price_2");
	self.m_TextItmPrice_org[3] = self.m_object:FindChildControl("dt_org_price_3");

	self.m_TextItemPrice_org_label[1] = self.m_object:FindChildControl("dt_org_price_label_1");
	self.m_TextItemPrice_org_label[2] = self.m_object:FindChildControl("dt_org_price_label_2");
	self.m_TextItemPrice_org_label[3] = self.m_object:FindChildControl("dt_org_price_label_3");

	self.m_vipTitle[1] = self.m_object:FindChildControl("st_vip_1");
	self.m_vipTitle[2] = self.m_object:FindChildControl("st_vip_2");
	self.m_vipTitle[3] = self.m_object:FindChildControl("st_vip_3");
-------------------------------------------

	self.m_rmb2_1 = self.m_object:FindChildControl( "rmb2_1" );
	self.m_rmb2_2 = self.m_object:FindChildControl( "rmb2_2" );
	self.m_rmb2_3 = self.m_object:FindChildControl( "rmb2_3" );
	
	--self.m_IapObj[1] = self.m_object:FindChildControl( "iap_1" );
	self.m_IapObj[1] = self.m_object:FindChildControl( "iap_2" );
	self.m_IapObj[2] = self.m_object:FindChildControl( "iap_3" );
	self.m_IapObj[3] = self.m_object:FindChildControl( "iap_4" );
	self.m_IapObj[4] = self.m_object:FindChildControl( "iap_5" );
	self.m_IapObj[5] = self.m_object:FindChildControl( "iap_6" );
	self.m_IapObj[6] = self.m_object:FindChildControl( "iap_7" );
	
	self.m_btn_iap = self.m_object:FindChildControl( "btn_iap" );
	self.m_iapFrm = self.m_object:FindChildControl( "buyticket" );
	self.m_btn_iap:SelectAnimation( "ani_buygod", true, true );
	self.m_btn_iap:PauseAnim( false, true );
	

	self.m_btn_vip = self.m_object:FindChildControl("btn_vip_shop");

	self.m_btn_iap_rmb_18 = self.m_object:FindChildControl( "btn_iap_3" );
	self.m_btn_iap_rmb_30 = self.m_object:FindChildControl( "btn_iap_4" );
	self.m_btn_iap_rmb_60 = self.m_object:FindChildControl( "btn_iap_5" );
	self.m_btn_iap_rmb_100 = self.m_object:FindChildControl( "btn_iap_6" );
	self.m_btn_iap_rmb_200 = self.m_object:FindChildControl( "btn_iap_7" );
	
	self.m_btn_free_shop = self.m_object:FindChildControl( "btn_free_shop" );
	self.m_free_value_bg_shop = self.m_object:FindChildControl( "free_value_bg_shop" );
	self.m_free_value_shop = self.m_object:FindChildControl( "free_value_shop" );
	
	if channel.m_bUseJinBi then
		--for i = 1, 7 do
			--local name = "JB_"..7;
			--self.m_object:FindChildControl( name ):SetSymbol("JB");
		--end
	end
	
	if channel.m_bUseEvenIap then
		self.m_rmb2_1:SetSymbol( "rmb6" );
		self.m_rmb2_2:SetSymbol( "rmb16" );
	end
	if channel.m_curChannel == "android_yyc" then
		IapItemId[3] = 20;
		self.m_rmb2_3:SetSymbol( "rmb20" );
	end
	
	if channel:GetCurChannel() == "wp8" then
		IapItemSymbol = IapItemPriceSymbol_wp8_en;
	elseif channel:GetCurChannel() == "android_msy" then
		IapItem = IapItem_msy;
		IapItemSymbol = IapItemPriceSymbol_msy;
	end
	return 1;
end

function	shop:EventActive( object, param0, param1 )
	self.m_DataMgr = Global:GetDataMgr();
	self.m_entitySys = sGlobal:GetEntitySys();

	if channel:IsVipEnabled() then
		self.m_btn_vip:SetVisible(true);
	else 
		self.m_btn_vip:SetVisible(false);
	end
	for i = 1, #(self.m_ItemSelectNum) do
		self.m_ItemSelectNum[i] = 10;
	end
	
	if channel.m_bEnableFreeDiamond then
		self.m_btn_free_shop:SetVisible( true );
	else
		self.m_btn_free_shop:SetVisible( false );
	end
	
	-- for i = 1, #( self.m_IapObj ) do
		-- self.m_IapObj[i]:SetSymbolText( math.floor( IapItem[i]/10000 ) );
	-- end
	self.m_IapObj[1]:SetSymbol( "120w" );
	self.m_IapObj[2]:SetSymbol( "350w" );
	self.m_IapObj[3]:SetSymbol( "860w" );
	self.m_IapObj[4]:SetSymbol( "2100w" );
	self.m_IapObj[5]:SetSymbol( "3500w" );
	self.m_IapObj[6]:SetSymbol( "7280w" );
	
	self.m_btn_iap:PauseAnim( false, true );
	self.m_iapFrm:SetVisible( false );
	
	if self.m_bContinueGameToShop then
		self.m_object:FindChildControl( "btn_shop_continue" ):SetVisible( true );
	else
		self.m_object:FindChildControl( "btn_shop_continue" ):SetVisible( false );
	end
	
	if channel.m_bEnableLargeAmounts then
		self.m_btn_iap_rmb_60:SetVisible( true );
		self.m_btn_iap_rmb_100:SetVisible( true );
		self.m_btn_iap_rmb_200:SetVisible( true );
	else
		self.m_btn_iap_rmb_60:SetVisible( false );
		self.m_btn_iap_rmb_100:SetVisible( false );
		self.m_btn_iap_rmb_200:SetVisible( false );
		self.m_btn_iap_rmb_18:SetVisible( false );
		
		if channel.m_bEnableIapLessThan30 then
			
			-- self.m_IapObj[3]:SetSymbol( "600w" );
			-- self.m_object:FindChildControl( "rmb2_3" ):SetSymbol("rmb20");
			if channel.m_bEnableIapLessThan6 then
				self.m_btn_iap_rmb_18:SetVisible( false );
				self.m_btn_iap_rmb_30:SetVisible( false );
			else
				self.m_btn_iap_rmb_18:SetVisible( true );
				self.m_btn_iap_rmb_30:SetVisible( false );
			end
		else
			self.m_btn_iap_rmb_30:SetVisible( true );
			self.m_btn_iap_rmb_18:SetVisible( true );
			-- self.m_IapObj[3]:SetSymbol( "860w" );
			-- self.m_object:FindChildControl( "rmb2_3" ):SetSymbol("rmb30");
		end
	end
	
	if channel.m_bUseIapSymbol then
		self.m_object:FindChildControl( "rmb2_1" ):SetSymbol(IapItemSymbol[1]);
		self.m_object:FindChildControl( "rmb2_2" ):SetSymbol(IapItemSymbol[2]);
		self.m_object:FindChildControl( "rmb2_3" ):SetSymbol(IapItemSymbol[3]);
		self.m_object:FindChildControl( "rmb12_1" ):SetSymbol(IapItemSymbol[4]);
		self.m_object:FindChildControl( "rmb12_1_1" ):SetSymbol(IapItemSymbol[5]);
		self.m_object:FindChildControl( "rmb12_1_1_1" ):SetSymbol(IapItemSymbol[6]);
	end
	if channel:GetCurChannel() == "android_msy" then
		for i = 1, 3 do
			self.m_IapObj[i]:SetSymbolText( ""..(IapItem_msy[i] / 10000) );
		end
	end
	
	if channel.m_EnableShowShop then
		self.m_btn_iap:SetVisible( true );
	else
		self.m_btn_iap:SetVisible( false );
	end
	
	if self.m_bToIapFrm then
		self:Event_IapFrm_Click( "", 0, 0 );
	end
	
	--if channel.m_bEnableAd then
		--Global:SystemRequest( SystemEvent.SE_HIDE_AD );
	--end
	return 1;
end

function	shop:EventDeactive( object, param0, param1 )
	self.m_bTrackToShop = false;
	self.m_bWinLoseToShop = false;
	self.m_bChooseCarToShop = false;
	self.m_bChooseTrackToShop = false;
	self.m_bContinueGameToShop = false;
	return 1;
end

function	shop:Update( duration )
	local gold = self.m_DataMgr:GetItemNum(ITEM_GOLD);
	self.m_textGold:SetSymbolText( gold );
	
	self.m_textNum[1]:SetSymbolText( "x"..self.m_DataMgr:GetItemNum( ITEM_NITROGEN ) );
	self.m_textNum[2]:SetSymbolText( "x"..self.m_DataMgr:GetItemNum( ITEM_MILLISE ) );
	self.m_textNum[3]:SetSymbolText( "x"..self.m_DataMgr:GetItemNum( ITEM_SHIELD ) );
	--self.m_textNum[4]:SetSymbolText( "x"..self.m_DataMgr:GetItemNum( ITEM_MINE ) );
	
	for i = 1, #( self.m_ItemSelectObj ) do 
		self.m_ItemSelectObj[i]:SetSymbolText( self.m_ItemSelectNum[i] );
	end
	
	for i = 1, #(self.m_TextItemPrice) do
		if channel:IsVipEnabled() then
			self.m_TextItemPrice[i]:SetSymbolText( math.floor(ItemPrice[i] * self.m_ItemSelectNum[i] * VipData[datasave:GetVipLevel()][3]));
		else
			self.m_TextItemPrice[i]:SetSymbolText( ItemPrice[i] * self.m_ItemSelectNum[i] );
		end
	end
	for i = 1, #(self.m_TextItmPrice_org) do
		self.m_TextItmPrice_org[i]:SetSymbolText(ItemPrice[i] * self.m_ItemSelectNum[i]);
	end
	for i = 1, #(self.m_TextItemPrice_org_label) do
		if channel:IsVipEnabled() then
			if datasave:GetVipLevel() > 0 then
				self.m_TextItemPrice_org_label[i]:SetVisible(true);
				self.m_vipTitle[i]:SetVisible(true);
			else
				self.m_TextItemPrice_org_label[i]:SetVisible(false);
				self.m_vipTitle[i]:SetVisible(false);
			end
		else
			self.m_TextItemPrice_org_label[i]:SetVisible(false);
			self.m_vipTitle[i]:SetVisible(false);
		end
	end

	if channel.m_bEnableFreeDiamond then
		local num = 0;
		if Global:SystemRequest( SystemEvent.SE_INTERNET ) then
			if not datasave:IsLikeFaceBook() then
				num = num + 1;
			end
			
			if not datasave:IsLikeTwitter() then
				num = num + 1;
			end
		end
		
		if Global:SystemRequest( SystemEvent.SE_VIDEO_AVAILABLE ) then
			num = num + 1;
		end
		
		self.m_free_value_shop:SetSymbolText( num );
		if num > 0 then
			self.m_free_value_bg_shop:SetVisible( true );
		else
			self.m_free_value_bg_shop:SetVisible( false );
		end
	end
end

function	shop:Event_Return( object, param0, param1 )
	if self.m_bWinLoseToShop then
		ShowPage( "winlosebox" );
		
		if channel.m_bEnableAd and not datasave:IsBuyIapMoreThan30() then
			Global:SystemRequest( SystemEvent.SE_SHOW_AD );
		end
	end
	if self.m_bTrackToShop then
		ShowPage( "Track" );
		--Global:StopMusic();
		Global:Resume();
	end
	
	if self.m_bChooseCarToShop then
		ShowPage( "choosecar" );
	end
	
	if self.m_bContinueGameToShop then
		ShowPage( "choosecar" );
	end
	
	if self.m_bChooseTrackToShop then
		ShowPage( "chosetrack" );
	end
	
	ClosePage( "shop" );
	
	self.m_bTrackToShop = false;
	self.m_bWinLoseToShop = false;
	self.m_bChooseCarToShop = false;
	self.m_bChooseTrackToShop = false;
	self.m_bContinueGameToShop = false;

	Global:PlaySound(uisound.btn_return,0);
	return 1;
end

function	shop:Event_Nitrogen_Click(object, param0, param1)
	Global:PlaySound(uisound.shop_btn_buyItem,0);
	local num = self.m_ItemSelectNum[1];
	local price = ItemPrice[1]*num;
	if channel:IsVipEnabled() then
		price = math.floor(price * VipData[datasave:GetVipLevel()][3]);
	end
	if self.m_DataMgr:GetItemNum(ITEM_GOLD) >= price then
		self.m_DataMgr:AddItemNum( ITEM_GOLD, -price );
		self.m_DataMgr:AddItemNum( ITEM_NITROGEN, num );
		Save();
		
		local NoticeName = "nitrogen_"..num;
		--sGlobal:Print( "EventNoticeEx : "..NoticeName );
		Global:EventNoticeEx( "purchase_in_store", NoticeName );
	else
		if channel.m_EnableShowShop then
			self.m_iapFrm:RemoveSelf();
			self.m_uiMgr:OpenDialog( self.m_iapFrm );
		else
			Global:PlaySound(uisound.nomoney,0);
			ShowDialog( "nomoneytip" );
		end
	end
	return 1;
end

function	shop:Event_Missile_Click(object, param0, param1)
	Global:PlaySound(uisound.shop_btn_buyItem,0);
	local num = self.m_ItemSelectNum[2];
	local price = ItemPrice[2]*num;
	if channel:IsVipEnabled() then
		price = math.floor(price * VipData[datasave:GetVipLevel()][3]);
	end
	if self.m_DataMgr:GetItemNum(ITEM_GOLD) >= price then
		self.m_DataMgr:AddItemNum( ITEM_GOLD, -price );
		self.m_DataMgr:AddItemNum( ITEM_MILLISE, num );
		Save();
		
		local NoticeName = "missile_"..num;
		--sGlobal:Print( "EventNoticeEx : "..NoticeName );
		Global:EventNoticeEx( "purchase_in_store", NoticeName );
	else
		if channel.m_EnableShowShop then
			self.m_iapFrm:RemoveSelf();
			self.m_uiMgr:OpenDialog( self.m_iapFrm );
		else
			Global:PlaySound(uisound.nomoney,0);
			ShowDialog( "nomoneytip" );
		end
	end
	return 1;
end

function	shop:Event_Shield_Click(object, param0, param1)
	Global:PlaySound(uisound.shop_btn_buyItem,0);
	local num = self.m_ItemSelectNum[3];
	local price = ItemPrice[3]*num;
	if channel:IsVipEnabled() then
		price = math.floor(price * VipData[datasave:GetVipLevel()][3]);
	end
	if self.m_DataMgr:GetItemNum(ITEM_GOLD) >= price then
		self.m_DataMgr:AddItemNum( ITEM_GOLD, -price );
		self.m_DataMgr:AddItemNum( ITEM_SHIELD, num );
		Save();
		
		local NoticeName = "shield_"..num;
		--sGlobal:Print( "EventNoticeEx : "..NoticeName );
		Global:EventNoticeEx( "purchase_in_store", NoticeName );
	else
		if channel.m_EnableShowShop then
			self.m_iapFrm:RemoveSelf();
			self.m_uiMgr:OpenDialog( self.m_iapFrm );
		else
			Global:PlaySound(uisound.nomoney,0);
			ShowDialog( "nomoneytip" );
		end
	end
	return 1;
end

function	shop:Event_Mine_Click(object, param0, param1)
	Global:PlaySound(uisound.shop_btn_buyItem,0);
	local num = self.m_ItemSelectNum[4];
	local price = ItemPrice[4]*num;
	if channel:IsVipEnabled() then
		price = math.floor(price * VipData[datasave:GetVipLevel()][3]);
	end
	if self.m_DataMgr:GetItemNum(ITEM_GOLD) >= price then
		self.m_DataMgr:AddItemNum( ITEM_GOLD, -price );
		self.m_DataMgr:AddItemNum( ITEM_MINE, num );
		Save();
		
		local NoticeName = "mine_"..num;
		--sGlobal:Print( "EventNoticeEx : "..NoticeName );
		Global:EventNoticeEx( "purchase_in_store", NoticeName );
	else
		if channel.m_EnableShowShop then
			self.m_iapFrm:RemoveSelf();
			self.m_uiMgr:OpenDialog( self.m_iapFrm );
		else
			Global:PlaySound(uisound.nomoney,0);
			ShowDialog( "nomoneytip" );
		end
	end
	return 1;
end

function	shop:Event_Continue_Click( object, param0, param1 )
	ClosePage( "shop" );
	ShowPage( "chosetrack" );
	return 1;
end

-- function	shop:Event_Iap_1_Click(object, param0, param1)
	-- OnStartPurchase( PCS_GOLD_500000, nil );
	
	-- Global:PlaySound(uisound.shop_btn_iap,0);
	-- return 1;
-- end

function	shop:Event_Iap_2_Click(object, param0, param1)
	Global:PlaySound(uisound.shop_btn_iap,0);
	OnStartPurchase( PCS_GOLD_1000000, nil );
	
	return 1;
end

function	shop:Event_Iap_3_Click(object, param0, param1)
	Global:PlaySound(uisound.shop_btn_iap,0);
	OnStartPurchase( PCS_GOLD_3500000, nil );

	return 1;
end

function	shop:Event_Iap_4_Click(object, param0, param1)
	Global:PlaySound(uisound.shop_btn_iap,0);
	OnStartPurchase( PCS_GOLD_8600000, nil );
	
	return 1;
end

function	shop:Event_Iap_5_Click(object, param0, param1)
	Global:PlaySound(uisound.shop_btn_iap,0);
	OnStartPurchase( PCS_GOLD_2100W, nil );
	
	return 1;
end

function	shop:Event_Iap_6_Click(object, param0, param1)
	Global:PlaySound(uisound.shop_btn_iap,0);
	OnStartPurchase( PCS_GOLD_3500W, nil );
	return 1;
end

function	shop:Event_Iap_7_Click(object, param0, param1)
	Global:PlaySound(uisound.shop_btn_iap,0);
	OnStartPurchase( PCS_GOLD_7280W, nil );
	return 1;
end

function	shop:Event_Nitrogen_Left(object, param0, param1)
	self.m_ItemSelectNum[1] = self.m_ItemSelectNum[1] - 1;
	if self.m_ItemSelectNum[1] < 1 then
		self.m_ItemSelectNum[1] = 1;
	end
	return 1;
end

function	shop:Event_Nitrogen_Right(object, param0, param1)
	self.m_ItemSelectNum[1] = self.m_ItemSelectNum[1] + 1;
	if self.m_ItemSelectNum[1] > 50 then
		self.m_ItemSelectNum[1] = 50;
	end
	return 1;
end

function	shop:Event_Missile_Left(object, param0, param1)
	self.m_ItemSelectNum[2] = self.m_ItemSelectNum[2] - 1;
	if self.m_ItemSelectNum[2] < 1 then
		self.m_ItemSelectNum[2] = 1;
	end
	return 1;
end

function	shop:Event_Missile_Right(object, param0, param1)
	self.m_ItemSelectNum[2] = self.m_ItemSelectNum[2] + 1;
	if self.m_ItemSelectNum[2] > 50 then
		self.m_ItemSelectNum[2] = 50;
	end
	return 1;
end

function	shop:Event_Shield_Left(object, param0, param1)
	self.m_ItemSelectNum[3] = self.m_ItemSelectNum[3] - 1;
	if self.m_ItemSelectNum[3] < 1 then
		self.m_ItemSelectNum[3] = 1;
	end
	return 1;
end

function	shop:Event_Shield_Right(object, param0, param1)
	self.m_ItemSelectNum[3] = self.m_ItemSelectNum[3] + 1;
	if self.m_ItemSelectNum[3] > 50 then
		self.m_ItemSelectNum[3] = 50;
	end
	return 1;
end

function	shop:Event_Mine_Left(object, param0, param1)
	self.m_ItemSelectNum[4] = self.m_ItemSelectNum[4] - 1;
	if self.m_ItemSelectNum[4] < 1 then
		self.m_ItemSelectNum[4] = 1;
	end
	return 1;
end

function	shop:Event_Mine_Right(object, param0, param1)
	self.m_ItemSelectNum[4] = self.m_ItemSelectNum[4] + 1;
	if self.m_ItemSelectNum[4] > 50 then
		self.m_ItemSelectNum[4] = 50;
	end
	return 1;
end

function	shop:Event_IapFrm_Click( event, param0, param1 )
	self.m_iapFrm:RemoveSelf();
	self.m_uiMgr:OpenDialog( self.m_iapFrm );
	-- if not datasave:IsIap() then
		-- ShowDialog( "iapad" );
	-- end
	Global:PlaySound(uisound.btn_To_Shop,0);
	return 1;
end


function	shop:Event_Free_Click( object, param0, param1 )
	sGlobal:Print( "shop free -------------- " );
	ShowDialog( "freebox" );
	return 1;
end

-- function	shop:Event_IapFrm_Close( event, param0, param1 )
	-- self.m_object:AddControl( self.m_iapFrm );
	-- self.m_iapFrm:SetVisible( false );
	-- Global:PlaySound(uisound.btn_return,0);
	-- return 1;
-- end
function	shop:Event_GiftPack( object, param0, param1 )
	Global:PlaySound(uisound.shop_btn_iap,0);
	OnStartPurchase( 10, nil );
	return 1;
end


function	shop:WinLoseToShop()
	self.m_bWinLoseToShop = true;
end

function	shop:TrackToShop()
	self.m_bTrackToShop = true;
end

function	shop:ChooseCarContinueToShop()
	self.m_bChooseCarToShop = true;
end

function	shop:ContinueGameToShop()
	self.m_bContinueGameToShop = true;
end

function	shop:ChooseTrackToShop()
	self.m_bChooseTrackToShop = true;
end

function	shop:IsToIapFrm( enable )
	self.m_bToIapFrm = enable;
end

function 	shop:EventKeyUp( key_code )
	if key_code == 27 then
		if self.m_bWinLoseToShop then
			ShowPage( "winlosebox" );
			
			if channel.m_bEnableAd and not datasave:IsBuyIapMoreThan30() then
				Global:SystemRequest( SystemEvent.SE_SHOW_AD );
			end
		end
		if self.m_bTrackToShop then
			ShowPage( "Track" );
			--Global:StopMusic();
			Global:Resume();
		end
		
		if self.m_bChooseCarToShop then
			ShowPage( "choosecar" );
		end
		
		if self.m_bContinueGameToShop then
			ShowPage( "choosecar" );
		end
		
		if self.m_bChooseTrackToShop then
			ShowPage( "chosetrack" );
		end

		self.m_bTrackToShop = false;
		self.m_bWinLoseToShop = false;
		self.m_bChooseCarToShop = false;
		self.m_bChooseTrackToShop = false;
		self.m_bContinueGameToShop = false;
		
		ClosePage( "shop" );
		--Global:PlaySound(uisound.btn_return,0);
	elseif key_code == 13 then
		self.m_object:FindChildControl( "btn_shop_continue" ):SendMsg( "BN_CLICK", 0, 0 );
	end
	return 1;
end

function shop:Event_vip_clicked(object, param0, param1)
	ShowDialog("vipbox");
	return 1;
end
shop.ControlEvents = {
	Inputs = {
		btn_shop_return = { "Event_Return" };
		
		btn_buy_nitrogen = { "Event_Nitrogen_Click" };
		btn_buy_missile = { "Event_Missile_Click" };
		btn_buy_shield = { "Event_Shield_Click" };
		btn_buy_mine = { "Event_Mine_Click" };
		
		--btn_iap_1 = { "Event_Iap_1_Click" };
		btn_iap_2 = { "Event_Iap_2_Click" };
		btn_iap_3 = { "Event_Iap_3_Click" };
		btn_iap_4 = { "Event_Iap_4_Click" };
		btn_iap_5 = { "Event_Iap_5_Click" };
		btn_iap_6 = { "Event_Iap_6_Click" };
		btn_iap_7 = { "Event_Iap_7_Click" };
		
		btn_nitrogen_left = { "Event_Nitrogen_Left" };
		btn_nitrogen_right = { "Event_Nitrogen_Right" };
		
		btn_missile_left = { "Event_Missile_Left" };
		btn_missile_right = { "Event_Missile_Right" };
		
		btn_shield_left = { "Event_Shield_Left" };
		btn_shield_right = { "Event_Shield_Right" };
		
		btn_mine_left = { "Event_Mine_Left" };
		btn_mine_right = { "Event_Mine_Right" };

		btn_iap	= { "Event_IapFrm_Click" };
		btn_shop_continue = { "Event_Continue_Click" };
		
		btn_free_shop = { "Event_Free_Click" };
		--close_1 = { "Event_IapFrm_Close" };
		btn_giftpack_iap = { "Event_GiftPack" };
		btn_vip_shop = {"Event_vip_clicked"};
	}
}
