
tracecheck = {
	Properties = {
		normal = "";
		checked = "";
		sound = "";
	};

	m_object;
	m_bMove = false;
	m_Owner = nil;
	m_Listener;
	m_uiMgr;
	
	m_DownX;
	m_DownY;

}

function tracecheck:EventInit( object, dump0, dump1 )
	self.m_object = sGlobal:GetUIManager():GetControl(object);
	self.m_object:SetSymbol( self.Properties.normal );
	self.m_uiMgr = sGlobal:GetUIManager();
	self.m_DownX = 0;
	self.m_DownY = 0;
	return 1;
end

function tracecheck:SetOwner( owner )
	self.m_Owner = owner;
end

function tracecheck:SetListener( listener )
	self.m_Listener = listener;
end

function tracecheck:SetSymbol( normal, checked )
	self.Properties.normal = normal;
	self.Properties.checked = checked;
end

function tracecheck:EventTouchBegin( id, x, y )	
	self.m_DownX = x;
	self.m_DownY = y;
	self.m_bMove = false;
	return 1;
end

function tracecheck:EventTouchEnd( id, x, y )
	if not self.m_bMove then
		self:SetCheck( true );
	else
		self.m_Owner:GetScript():EventTouchEnd( id, x, y );
	end
	return 1;
end

function tracecheck:EventTouchMove( id, x, y )
	if math.abs( x - self.m_DownX) > 5 or math.abs( y - self.m_DownY ) > 5 then
		if not self.m_bMove then
			self.m_Owner:GetScript():EventTouchBegin( id, x, y );
		end
		self.m_bMove = true;
		self.m_Owner:GetScript():EventTouchMove( id, x, y );
	end
	return 1;
end

function tracecheck:SetCheck( bChecked )
	if bChecked == true then
		self.m_object:SetSymbol( self.Properties.checked );
		self.m_Owner:GetScript():Check( self.m_object );
		self.m_Listener:GetScript():OnListItemCheck( self.m_object );
	else
		self.m_object:SetSymbol( self.Properties.normal );
	end
end
